package org.xyzh.common.dto.dept;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysDept.java文件描述 部门信息
 * @filename    TbSysDept.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysDept extends BaseDTO{
    private static final long serialVersionUID = 1L;

    /**
     * @description    部门ID
     * @author    yslg
     * @since 2024-06
     */
    private String deptID;

    /**
     * @description    父部门ID
     * @author    yslg
     * @since 2024-06
     */
    private String parentID;

    /**
     * @description    部门名称
     * @author    yslg
     * @since 2024-06
     */
    private String name;

    /**
     * @description    部门描述
     * @author    yslg
     * @since 2024-06
     */
    private String description;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    // Getter和Setter方法
    public String getDeptID() {
        return deptID;
    }

    public void setDeptID(String deptID) {
        this.deptID = deptID;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysDept{" +
                "id='" + getID() + '\'' +
                ", deptID='" + deptID + '\'' +
                ", parentID='" + parentID + '\'' +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }

}
